Bug 23830 - не реагирует на -targert при сборке
: не реагирует на -targert при сборке
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/platon)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2010-08-01 01:31 by
Modified: 2010-10-21 11:13 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-08-01 01:31:18
Заметил, что при любом значении --target собирается бинарник всегда одного и
того же размера. Сборка в spec-файле осуществляется так:

g77 -O0 -o platon platon.f xdrvr.c -lX11

Если же добавить туда %optflags:

g77 %optflags -O0 -o platon platon.f xdrvr.c -lX11

то тогда сборка начинает реагировать на --target, и выдаёт бинарники разного
размера в зависимости от значения этой опции.

Так что наверно стоит исправить строку сборки в spec-файле. Заодно можно
обновить версию. Я у себя собрал, работает. Взять можно тут:

http://www.ogion76.name/home/misc/platon-20100716-alt0.sdg2.i586.rpm?attredirects=0&d=1
------- Comment #1 From 2010-10-11 21:24:55 -------
Собрал новую версию:

http://www.ogion76.name/home/misc/platon-20101011-alt0.sdg1.src.rpm?attredirects=0&d=1
------- Comment #2 From 2010-10-12 03:15:56 -------
Спасибо, втащил в гит (пришлось убрать DELABS_EXAMPLE ещё) и отправил на
сборку.
------- Comment #3 From 2010-10-14 03:36:09 -------
platon-20101011-alt2 -> sisyphus:

* Tue Oct 12 2010 Michael Shigorin <mike@altlinux> 20101011-alt2
- really merged Denis' spec, shame on me (closes: #23830)

* Tue Oct 12 2010 Michael Shigorin <mike@altlinux> 20101011-alt1
- 20101011 (thanks Denis G. Samsonenko)

* Sun Aug 01 2010 Denis G. Samsonenko <d.g.samsonenko@gmail.com>
20101011-alt0.sdg1
- New version

* Sun Aug 01 2010 Denis G. Samsonenko <d.g.samsonenko@gmail.com>
20100716-alt0.sdg2
- optflags added

* Wed Jul 28 2010 Denis G. Samsonenko <d.g.samsonenko@gmail.com>
20100716-alt0.sdg1
- New version
------- Comment #4 From 2010-10-21 11:13:38 -------
(В ответ на комментарий №3)
> platon-20101011-alt2 -> sisyphus:
> 
> * Tue Oct 12 2010 Michael Shigorin <mike@altlinux> 20101011-alt2
> - really merged Denis' spec, shame on me (closes: #23830)

Хорошо бы ещё собрать для бранча-5.1. Просто так из Сизифа не ставится, надо
собирать.